%define name	multiarch-utils
%define version	1.0.9
%define release %mkrel 5
%define multiarch_distro 1020

Summary:	Tools to help creation of multiarch binaries and includes
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		multiarch-utils-1.0.9-fix-sparc64-define.patch
Patch1:		multiarch-utils-1.0.9-fix-macros.d-check.patch
License:	GPL
Group:		Development/Other
Url:		http://www.mandrivalinux.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} >= %{multiarch_distro}
Conflicts:	rpm < 4.2.3-6mdk
%endif
%if %{mdkversion} >= 200600
Conflicts:	rpm < 4.4
%define macros	%{_sysconfdir}/rpm/macros.d/multiarch.macros
%else
%define macros	%{_sysconfdir}/rpm/macros.multiarch
%endif

%description
multiarch-utils is a collection of helper utilities to dispatch
binaries and include files during RPM package build.

%prep
%setup -q
%patch0 -p1 -b .sparc64
%patch1 -p1 -b .macros.d

%build

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/multiarch-platform
%{_bindir}/multiarch-dispatch
%{_includedir}/multiarch-dispatch.h
%{macros}
%{_prefix}/lib/rpm/mkmultiarch
%{_prefix}/lib/rpm/check-multiarch-files
%{_prefix}/lib/X11/config/multiarch-dispatch-host.def



%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-5mdv2008.1
+ Revision: 153271
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - fix broken sparc64 check (P0, fixes #27277)
    - fix broken check for rpm/macros.d directory (P1)


* Fri Sep 22 2006 Warly <warly@mandriva.com> 1.0.9-3mdv2007.0
- now use /usr/lib/X11 instead of /usr/X11R6/lib/X11

* Mon Aug 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.9-2mdk
- build fixes and use /etc/rpm/macros.d/* for MDV 2006

* Sun Aug 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.9-1mdk
- handle symlinks to multiarch binaries
- handle cases where multiarch binary name contains spaces

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.8-1mdk
- quotemeta $RPM_BUILD_ROOT in regexp

* Wed Feb 23 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.7-1mdk
- multiarch x11 host.def
- new heuristics for multiarch files checker (ace-config)
- only check for multiarch files in the usual development directories

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.6-1mdk
- check-multiarch-files: new multiarch hint: BITS_PER_WORD
- check-multiarch-files: handle --libtool in config scripts
- check-multiarch-files: don't match */lib/{font,X11} in headers

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-1mdk
- mkmultiarch: handle ciruclar inclusions (e.g. gd.h)
- check-multiarch-files: better heuristics (gdlib-config, mysql_config)

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-1mdk
- mkmultiarch: handle /usr/include/header.h cases
- mkmultiarch: handle symlinks in binaries to be dispatched
- macros.multiarch: add multiarch_{platform,x11bindir,x11includedir}

* Tue Jan 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-1mdk
- add %%multiarch_{bin,include}dir aliases
- better os independence, "linux" is detected

* Mon Jan 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1mdk
- add check-multiarch-files

* Thu Jan 20 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-1mdk
- add %%multiarch macro to mark %%files that are multiarch enabled;
  that's a helper macro that expands to nothing on older distributions

* Wed Jan 12 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- initial release

